## libedit-2.9.cvs.20050518.tar.bz2

=== libedit-20050518/readline/Makefile ===
#	$NetBSD: Makefile,v 1.7 2003/08/03 09:23:15 lukem Exp $	

NOOBJ=		# defined

.include <bsd.own.mk>

.PATH:	${NETBSDSRCDIR}/lib/libedit

INCS=		readline.h
INCSDIR=	/usr/include/readline
INCSYMLINKS=	readline.h ${INCSDIR}/history.h

incinstall:: linksinstall

.include <bsd.prog.mk>

=== debian/changelog ===
libedit (2.9.cvs.20050518-3) unstable; urgency=low

  * New maintainer.
  * ACKed NMU. Closes: #318843.
  * Standards-Version: 3.7.2.
  * libedit2: added dependency on ${misc:Depends}.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 07 Feb 2007 10:20:20 +1100

libedit (2.9.cvs.20050518-2.2) unstable; urgency=low

  * NMU
  * Unfortunately, rl_completion_matches have to be exported.

 -- Piotr Roszatycki <dexter@debian.org>  Mon,  1 Aug 2005 19:05:13 +0200

libedit (2.9.cvs.20050518-2.1) unstable; urgency=low

  * NMU
  * Export completion_matches function. Closes: #318843.

 -- Piotr Roszatycki <dexter@debian.org>  Mon,  1 Aug 2005 16:59:48 +0200

libedit (2.9.cvs.20050518-2) unstable; urgency=low

  * Workaround for wrong permissions in source (closes: #309843)

 -- Pawel Wiecek <coven@debian.org>  Fri, 20 May 2005 12:15:12 +0200

libedit (2.9.cvs.20050518-1) unstable; urgency=low

  * Updated sources from CVS (closes: #286356)

 -- Pawel Wiecek <coven@debian.org>  Wed, 18 May 2005 23:36:58 +0200

libedit (2.9.cvs.20040827-1) unstable; urgency=low

  * Updated sources from CVS (closes: #254031, #263421)

 -- Pawel Wiecek <coven@debian.org>  Tue, 31 Aug 2004 00:06:38 +0200

libedit (2.6.cvs.20020109-7) unstable; urgency=low

  * Applied patch from Robert Millan <rmh@debian.org> to fix some issues on
    GNU/k*BSD ports (closes: #227123)

 -- Pawel Wiecek <coven@debian.org>  Fri, 16 Jan 2004 16:45:42 +0100

libedit (2.6.cvs.20020109-6) unstable; urgency=low

  * Finally applied the right way to workaround mips building problems (thanks
    to Colin Watson and Steve Langasek) (closes: #213100)
  * Updated standards version (no changes needed)

 -- Pawel Wiecek <coven@debian.org>  Thu,  2 Oct 2003 21:32:09 +0200

libedit (2.6.cvs.20020109-5) unstable; urgency=low

  * Made patches from 2.6.cvs.20020109-4 really work (closes: #207448)

 -- Pawel Wiecek <coven@debian.org>  Wed, 27 Aug 2003 19:45:28 +0200

libedit (2.6.cvs.20020109-4) unstable; urgency=low

  * Applied patch from Ben Burton <bab@debian.org> to fix the problem with
    typing tab characters (closes: #169804, #169813, #196326)
  * Updated standards version
  * Updated package sections (moved libedit2-dev to libdevel)
  * Fixed 05-readline-Makefile-mipseb.dpatch (closes: #188669)

 -- Pawel Wiecek <coven@debian.org>  Wed, 18 Jun 2003 13:13:54 +0200

libedit (2.6.cvs.20020109-3) unstable; urgency=low

  * Finally a maintainer release (closes: #166125)
  * Updated the copyright file (closes: #188404)
  * Updated standards version

 -- Pawel Wiecek <coven@debian.org>  Fri, 25 Apr 2003 15:38:01 +0200

libedit (2.6.cvs.20020109-2.1) unstable; urgency=low

  * NMU
  * Patched fgetln() to behave correctly on error, thus fixing a
    read_history() bug that caused infinite memory consumption
    (closes: #166125)

 -- Ben Burton <bab@debian.org>  Fri, 31 Jan 2003 01:43:29 +1100

libedit (2.6.cvs.20020109-2) unstable; urgency=low

  * Added patch to correctly build on mips (closes: #135333)

 -- Pawel Wiecek <coven@debian.org>  Wed, 27 Feb 2002 14:42:46 +0100

libedit (2.6.cvs.20020109-1) unstable; urgency=low

  * Updated sources from CVS (closes: #122636)

 -- Pawel Wiecek <coven@debian.org>  Wed,  9 Jan 2002 10:58:25 +0100

libedit (2.6.cvs.20011104-2) unstable; urgency=low

  * New maintainer (closes: #120652)

 -- Pawel Wiecek <coven@debian.org>  Fri, 23 Nov 2001 13:49:44 +0100

libedit (2.6.cvs.20011104-1) unstable; urgency=low

  * New upstream version
  * debian/patches/03-el.c-MAXPATHLEN.dpatch: ported to new snapshot
  * debian/patches/02-el.c-issetugid.dpatch: likewise
  * debian/rules: bumped version
  * debian/libedit2.files: moved from 2.5 to 2.6

 -- Gergely Nagy <algernon@debian.org>  Sun,  4 Nov 2001 02:44:43 +0100

libedit (2.5.cvs.20010821-7) unstable; urgency=low

  * The `Someone teach me C' release
  * debian/patches/03-el.c-MAXPATHLEN.dpatch: Fixed the patch, so the
  MAXPATHLEN and non-MAXPATHLEN cases don't mix (what a silly typo!).
  This way, there won't be any segfault. (Closes: #111819)
  * debian/rules (PMAKE_ARGS): added -lcurses to LDADD (Closes: #111821)
  * debian/patches/04-readline.h-stdio.dpatch: new patch, which adds an
    #include <stdio.h> to readline.h
  * debian/patches/00list: added the new patch (Closes: #111820)

 -- Gergely Nagy <algernon@debian.org>  Tue, 11 Sep 2001 13:57:36 +0200

libedit (2.5.cvs.20010821-6) unstable; urgency=low

  * debian/rules (cvs-update): okay, this time it actually works
  * debian/control: versioned dependency on fixed pmake, thanks Steve!
  * debian/scripts/ld-hack.sh: removed, since new pmake solves some
    of our problems
  * debian/rules: removed some of the pmake workarounds, added others

 -- Gergely Nagy <algernon@debian.org>  Sun,  9 Sep 2001 04:03:47 +0200

libedit (2.5.cvs.20010821-5) unstable; urgency=low

  * debian/control: priority set to optional, as per the request of
  Ben Burton <benb@acm.org>.
  * debian/scripts/ld-hack.sh: wrapper around gcc to fool pmake
  * debian/rules: use ld-hack.sh and an appropriate SHLIB_SHFLAGS
  to work around pmake, which tries to link with ld instead of gcc.
  This fixes the build problem on at least hppa.

 -- Gergely Nagy <algernon@debian.org>  Wed,  5 Sep 2001 15:08:59 +0200

libedit (2.5.cvs.20010821-4) unstable; urgency=low

  * Added bsdmainutils to the build-depends (Closes: #111041)

 -- Gergely Nagy <algernon@debian.org>  Mon,  3 Sep 2001 18:53:44 +0200

libedit (2.5.cvs.20010821-3) unstable; urgency=low

  * debian/rules (unpatch): use sort -r instead of tac
  (glibc-compat, libedit-${DATE}): superceded by new cvs-update
  (cvs-update): completely rewrote, more robust and elegant
  * debian/patches/03-el.c-MAXPATHLEN.dpatch: on systems without
  MAXPATHLEN, allocate memory dynamicaly. This fixes the build on
  the Hurd.
  * glibc-bsd-compat/bsd-compat.h: Added #include <sys/ioctl.h>
  to eliminate XTABS redefinition in libedit-20010821/tty.h



=== debian/control ===
Source: libedit
Section: libs
Priority: optional
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: pmake (>= 1.45-8), patch, groff-base, debhelper (>= 2.0.40), libncurses5-dev, bsdmainutils
Standards-Version: 3.7.2

Package: libedit2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BSD editline and history libraries
 The editline library provides generic line editing and
 history functions.
 .
 It slightly resembles GNU readline

Package: libedit-dev
Section: libdevel
Architecture: any
Depends: libedit2 (= ${Source-Version}), libncurses5-dev
Description: BSD editline and history libraries (development files)
 The editline library provides generic line editing and
 history functions.
 .
 It slightly resembles GNU readline

=== debian/rules ===
#! /usr/bin/make -f
## debian/rules for libedit, mostly a pmake workaround..
## hacked together by Gergely Nagy <algernon@debian.org>
## $MadHouse: Debian/libedit/debian/rules,v 1.3 2001/11/04 01:57:26 algernon Exp $

# This is the debhelper compatability version to use.
export DH_COMPAT = 2
PACKAGE		 = libedit
PKGDIR		 = ${CURDIR}/debian/tmp
VERSION		 = 20050518
PMAKE_ARGS	 = MKPROFILE=no MKCATPAGES=no MLINKS= MANPAGES= \
		 SHLIB_SHFLAGS="-Wl,-soname,libedit.so.${major}" LDADD="*.so -lcurses"
EDITLINE_3_LINKS = el_init el_end el_reset el_gets el_getc el_push \
		 el_parse el_set el_get el_source el_resize el_line \
		 el_insertstr el_deletestr history_init history_end history

version		 = 2.9
major		 = 2
## For automatic update from CVS
CVSROOT		 = :pserver:anoncvs@anoncvs.netbsd.org:/cvsroot
DATE		 = $(shell date +%Y%m%d)
ROOT		 = basesrc
MISC_STUFF	 = lib/libc/include/namespace.h lib/libc/string/strlcat.c \
		 lib/libc/string/strlcpy.c lib/libc/gen/vis.c \
		 lib/libc/gen/unvis.c include/vis.h

DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Workaround for pmake fussiness
ifeq (mips-linux,$(DEB_HOST_GNU_TYPE))
  PMAKE_ARGS += MACHINE_ARCH=mipseb
endif

build: patch build-stamp
build-stamp:
	dh_testdir
	chmod 755 libedit-20050518/makelist	# workaround a bug in upstream source
	cd libedit-${VERSION} && pmake ${PMAKE_ARGS}
	touch build-stamp

clean: clean1 unpatch
	rm -rf debian/patched build-stamp
clean1:
	dh_testdir
	dh_testroot
	dh_clean
	-cd libedit-${VERSION} && pmake distclean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	install -d ${PKGDIR}/usr/lib
	install -d ${PKGDIR}/usr/include/readline
	install -d ${PKGDIR}/usr/share/man/man3
	install -d ${PKGDIR}/usr/share/man/man5
	cd libedit-${VERSION} && \
	 pmake install incinstall DESTDIR=${PKGDIR} ${PMAKE_ARGS}
## pmake workaround
	cd libedit-${VERSION}/readline && \
	 pmake incinstall DESTDIR=${PKGDIR} ${PMAKE_ARGS}
	mv ${PKGDIR}/usr/include/readline ${PKGDIR}/usr/include/editline
	ln -sf libedit.so.${version} ${PKGDIR}/usr/lib/libedit.so.${major}
	ln -sf libedit.so.${major} ${PKGDIR}/usr/lib/libedit.so

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
## Install manpages
	install -m 0644 libedit-${VERSION}/editline.3 ${PKGDIR}/usr/share/man/man3/editline.3el
	install -m 0644 libedit-${VERSION}/editrc.5 ${PKGDIR}/usr/share/man/man5/editrc.5el
## End
	dh_movefiles
	@list="${EDITLINE_3_LINKS}"; for l in $$list; do \
		echo "ln -sf editline.3el ${CURDIR}/debian/libedit-dev/usr/share/man/man3/$$l.3el"; \
		ln -sf editline.3el ${CURDIR}/debian/libedit-dev/usr/share/man/man3/$$l.3el; \
	done
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

patch: ${CURDIR}/patch-stamp
${CURDIR}/patch-stamp:
	test -d debian/patched || install -d debian/patched
	echo "Patches applied in the Debian version of ${PACKAGE}:" > $@T
	@cd libedit-${VERSION} && \
	for patch in `cat ../debian/patches/00list`; do \
		stamp=../debian/patched/$$patch.dpatch; \
		patch=../debian/patches/$$patch.dpatch; \
		test -x $$patch || chmod +x $$patch; \
		if test -f $$stamp; then \
			echo "$$patch already applied."; \
			echo -e "\n$$patch:" >> $@T; \
			sed -n 's/^## *DP: */  /p' $$patch >> $@T; \
		else \
			echo -n "applying patch $$patch..."; \
			if $$patch -patch >$$stamp.new 2>&1; then \
				mv $$stamp.new $$stamp; \
				touch $$stamp; \
				echo -e "\n$$patch:" >> $@T; \
				sed -n 's/^## *DP: */  /p' $$patch >> $@T; \
				echo " ok."; \
			else \
				echo " failed."; \
				exit 1; \
			fi; \
		fi; \
	done
	mv -f $@T $@

unpatch:
	@cd libedit-${VERSION} && \
	for patch in `sort -r ../debian/patches/00list`; do \
		stamp=../debian/patched/$$patch.dpatch; \
		patch=../debian/patches/$$patch.dpatch; \
		test -x $$patch || chmod +x $$patch; \
		if test -f $$stamp; then \
			echo -n "reverting patch $$patch..."; \
			if $$patch -unpatch 2>&1 >/dev/null; then \
				rm -f $$stamp; \
				echo " ok."; \
			else \
				echo " failed."; \
				exit 1; \
			fi; \
		fi; \
	done
	rm -f patch-stamp

binary: binary-indep binary-arch

cvs-update:
	install -d glibc-compat/tmp
	cd glibc-compat/tmp && \
	 cvs -d ${CVSROOT} export -D now $(patsubst %,${ROOT}/%,${MISC_STUFF})
	find glibc-compat/tmp -type f -exec mv {} glibc-compat/ \;
	rm -rf glibc-compat/tmp
	cvs -d ${CVSROOT} export -D now -d libedit-${DATE} ${ROOT}/lib/libedit

.PHONY: build clean binary-indep binary-arch binary install \
	patch unpatch clean1 cvs-update
